AOZ Studio Beta - Bug #714

Leaving the 2nd parameter off of locate fails now.
04/05/2021 03:29 AM - Brian Flanagan

Status: Feedback Start date: 04/04/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B7)

Affected version: 1.0.0 (B7)

Description

This used to work. It causes an Internal error now.
Example:

Locate 2,2

Print "Test"

Locate 1, // This line fails
Print "Test 2"

History

#1 - 04/05/2021 03:29 AM - Brian Flanagan
- Estimated time set to 1:00 h
- Affected version set to 1.0.0 (B7)

#2 - 04/05/2021 07:45 AM - Francois Lionet
- Status changed from New to Resolved

- Target version set to Beta 7

Fixed!

#3 - 04/14/2021 02:20 PM - Brian Flanagan

- Status changed from Resolved to Feedback

- Priority changed from High to Normal

- Target version changed from Beta 7 to 1.0.0 (B7)

Re-tested (4/14/2021). Partially fixed.
Now works unless there is a / comment at the end of the line

| suspect that the / is being parsed as a part of an expression a locate parameter.
If two consecutive // are found, however, it should recognize this as a comment.

Locate 4,4 // This fails (because of the comment)
Locate 4, // This fails (because of the comment)

NOTE: This is probably a problem in the transpiler for any command that ends with a numeric parameter.

A side note, just FYIl: The ' comments work fine:

Locate 4,4 ' This works
Locate 1, ' So does this
